Page MenuHomePhabricator

Convert all extensions and skins to manifest_version 2
Open, LowestPublic

Description

This is a task for tracking all extensions and skins being converted to manifest_version 2

We should probably update the docs on how to convert to, and also without using the maintenance script.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
ResolvedKizule
Resolvedminhducsun2002
ResolvedMajavah
Resolvedminhducsun2002
ResolvedAmmarpad
ResolvedJeremyNguyenGCI
ResolvedKizule
ResolvedAmmarpad
ResolvedMajavah
ResolvedArcayn
ResolvedBrandonXLF
ResolvedMajavah
ResolvedReedy
ResolvedSoda
DeclinedRetroCraft
ResolvedReedy
ResolvedReedy

Event Timeline

Paladox created this task.Aug 8 2016, 3:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2016, 3:24 PM
Reedy added a comment.Aug 8 2016, 3:39 PM

Why? What do we gain for extensions already on v1?

Any new extensions converted will go to v2

Doing it via script seems more sensible to me for config stuff, where they go to having a value... It's labour intensive for little gain

Change 303818 had a related patch set uploaded (by Paladox):
Update skin.json to manifest_version version 2

https://gerrit.wikimedia.org/r/303818

Change 303819 had a related patch set uploaded (by Paladox):
Update manifest_version to version 2

https://gerrit.wikimedia.org/r/303819

Change 303823 had a related patch set uploaded (by Paladox):
Update manifest_version to version 2

https://gerrit.wikimedia.org/r/303823

Change 303823 merged by Yaron Koren:
Update manifest_version to version 2

https://gerrit.wikimedia.org/r/303823

Reedy triaged this task as Lowest priority.Aug 9 2016, 7:43 PM

I don't think we should be encouraging a mass-conversion type thing. New extensions should use v2, and but unless they need one of the new features included in v2 (currently only file config options), there's no benefit, and just a loss of backwards-compatibility.

It is likely that we will start adding features that require v2 (*cough* config db *cough*), at which point we should begin encouraging people to update to version 2.

Change 303818 merged by jenkins-bot:
Update skin.json to manifest_version version 2

https://gerrit.wikimedia.org/r/303818

Change 307044 had a related patch set (by Paladox) published:
Update schema to manifest_version 2

https://gerrit.wikimedia.org/r/307044

Change 303819 abandoned by Reedy:
Update manifest_version to version 2

https://gerrit.wikimedia.org/r/303819

Reedy added a comment.Nov 2 2016, 12:14 AM

Why? What do we gain for extensions already on v1?

Any new extensions converted will go to v2

Doing it via script seems more sensible to me for config stuff, where they go to having a value... It's labour intensive for little gain

I don't think we should be encouraging a mass-conversion type thing. New extensions should use v2, and but unless they need one of the new features included in v2 (currently only file config options), there's no benefit, and just a loss of backwards-compatibility.

It is likely that we will start adding features that require v2 (*cough* config db *cough*), at which point we should begin encouraging people to update to version 2.

Oh look, and now we have T149757 and T149759, meaning speeding this through would've been a waste of time :)

Reedy changed the task status from Open to Stalled.Nov 2 2016, 12:15 AM

Change 476457 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/HoverGallery@master] New version 1.2

https://gerrit.wikimedia.org/r/476457

Change 476457 abandoned by Zoranzoki21:
New version 1.2

https://gerrit.wikimedia.org/r/476457

Change 476457 restored by Zoranzoki21:
New version 1.2

Reason:
Let me try again

https://gerrit.wikimedia.org/r/476457

Change 476457 abandoned by Zoranzoki21:
New version 1.2

Reason:
Hmm, there isn't edit button

https://gerrit.wikimedia.org/r/476457

Change 476457 restored by Zoranzoki21:
New version 1.2

Reason:
Refresh

https://gerrit.wikimedia.org/r/476457

Change 476457 abandoned by Zoranzoki21:
New version 1.2

Reason:
I should create new patch

https://gerrit.wikimedia.org/r/476457

Change 476457 restored by Zoranzoki21:
New version 1.2

Reason:
Second test

https://gerrit.wikimedia.org/r/476457

Change 476457 abandoned by Zoranzoki21:
New version 1.2

Reason:
Let's start from zero

https://gerrit.wikimedia.org/r/476457

Change 307044 abandoned by Jforrester:
Update schema to manifest_version 2

Reason:
Let's re-generate this rather than start now.

https://gerrit.wikimedia.org/r/307044

Should this task still be opened? If yes, what exactly is this stalled on?

Reedy changed the task status from Stalled to Open.EditedJun 24 2020, 4:13 PM

Should this task still be opened? If yes, what exactly is this stalled on?

I think this was because of

Doing it via script seems more sensible to me for config stuff, where they go to having a value... It's labour intensive for little gain

But we have a script now! And did before I stalled it

rMW83ec5909d463: registration: Convert "config" into an object with metadata

Though, also,

Why? What do we gain for extensions already on v1?

Any new extensions converted will go to v2

Doing it via script seems more sensible to me for config stuff, where they go to having a value... It's labour intensive for little gain

I don't think we should be encouraging a mass-conversion type thing. New extensions should use v2, and but unless they need one of the new features included in v2 (currently only file config options), there's no benefit, and just a loss of backwards-compatibility.

It is likely that we will start adding features that require v2 (*cough* config db *cough*), at which point we should begin encouraging people to update to version 2.

Oh look, and now we have T149757 and T149759, meaning speeding this through would've been a waste of time :)

T149757: Remove manifest_version 2 from REL1_28 and T149759: Downgrade extensions that use manifest_version 2 in REL1_28 would've meant it was pointless doing so at the time